Bug 1262960 - Development Guide: Implicit Dependency list is incomplete
Development Guide: Implicit Dependency list is incomplete
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Documentation (Show other bugs)
6.4.0
Unspecified Unspecified
unspecified Severity unspecified
: post-GA
: ---
Assigned To: David Michael
: Documentation, Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-14 14:24 EDT by dereed
Modified: 2016-10-20 15:15 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Build Name: 22926, Development Guide-6.4 Build Date: 29-05-2015 13:30:55 Topic ID: 4353-682489 [Specified]
Last Closed: 2016-10-20 15:15:29 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description dereed 2015-09-14 14:24:57 EDT
Title: Implicit Module Dependencies

Describe the issue:
There are dependencies missing from the list.
In particular, "org.jboss.as.cmp" is added as a dependency for any CMP EJB deployments and is missing from the list.

Suggestions for improvement:
Update implicit dependency list to be up-to-date and inclusive (likely requiring engineering input).

Additional information:
Comment 1 anrobert 2015-10-27 16:06:54 EDT
See https://issues.jboss.org/browse/JBEAP-1667
Comment 2 dereed 2015-10-27 16:33:25 EDT
Why is this marked as deferred?

We're supporting EAP 6 for another 7+ years, so the docs need to be correct.
Comment 3 anrobert 2015-12-11 15:09:37 EST
I marked it as deferred to indicate for the next quarter or so, we do not have bandwidth to publish an update. However, in a few months, I will be able to re-evaluate these deferrals to determine if we can reopen BZs.
Comment 4 dereed 2015-12-11 15:31:59 EST
Sorry, but I do not believe that is acceptable.

This is a very important documentation topic.  The list of implicit dependencies added is required in order to correctly configure an application, and this is not available anywhere else.

It is imperative that this list is available and accurate.
This needs to be fixed ASAP, not looked at in a few months.

-------------------------------------------------

I have also found some additional info, that the implicit dependencies were changed substantially in 6.4 as part of https://issues.jboss.org/browse/EAP6-225 but not updated in these docs.
Comment 8 Shaun Appleton 2015-12-15 04:58:31 EST
Also need to include an implicit dependency on "javax.ejb.api" see
https://bugzilla.redhat.com/show_bug.cgi?id=1290739

Note You need to log in before you can comment on or make changes to this bug.